GitLab CE/EE <v12.3.2 Improper Neutralization of Special Elements in Output Used by a Downstream Component ('Injection') Vulnerability

Summary

GitLab CE/EE <v12.3.2 suffers form improper neutralization of special elements in output used by a downstream component (‘Injection’) vulnerability

Credit:

The information has been provided by Vendor

The original article can be found at:https://hackerone.com/reports/682442


Details

A command injection exists in GitLab CE/EE <v12.3.2, <v12.2.6, and <v12.1.12 that allowed an attacker to inject commands via the API through the blobs scope.

 

Vulnerable Systems:

GitLab CE/EE <v12.3.2

GitLab CE/EE <v12.2.6

GitLab CE/EE <v12.1.12

 

CVE Information:

CVE-2019-15575

 

Disclosure Timeline:
Published Date:12/18/2019

Categories: FeaturedNews